Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.basex.core
Enum Commands.CmdFS

    java.lang.Object
      java.lang.Enum<Commands.CmdFS>
          org.basex.core.Commands.CmdFS

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Commands.CmdFS>

Enclosing interface:
  Commands

    public static enum Commands.CmdFS

extends java.lang.Enum<Commands.CmdFS>

Filesystem command definitions.

Enum Constant Summary
`CAT`
`CD`
`CP`
`DU`
`EXIT`
`EXT`
`HELP`
`L`
`LOCATE`
`LS`
`MKDIR`
`PWD`
`RM`
`TOUCH`

Method Summary
`static Commands.CmdFS` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Commands.CmdFS[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### CAT

    public static final Commands.CmdFS CAT

### CD

    public static final Commands.CmdFS CD

### CP

    public static final Commands.CmdFS CP

### DU

    public static final Commands.CmdFS DU

### EXT

    public static final Commands.CmdFS EXT

### EXIT

    public static final Commands.CmdFS EXIT

### HELP

    public static final Commands.CmdFS HELP

### LOCATE

    public static final Commands.CmdFS LOCATE

### L

    public static final Commands.CmdFS L

### LS

    public static final Commands.CmdFS LS

### MKDIR

    public static final Commands.CmdFS MKDIR

### PWD

    public static final Commands.CmdFS PWD

### RM

    public static final Commands.CmdFS RM

### TOUCH

    public static final Commands.CmdFS TOUCH

Method Detail

### values

    public static Commands.CmdFS[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Commands.CmdFS c : Commands.CmdFS.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Commands.CmdFS valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD